/*

out.c:

This program demonstrates how to control the high voltage digital
output channels. Make sure nothing dangerous is connected to the
output channels before running this program! This program repeatedly
toggles the digital output lines.

*/

#use eziopk25.lib

main() {
	auto int i;

	eioBrdInit(0);					//	initialize the board
	while (1) {
		for (i = 0; i < 12; ++i) {
			eioBrdDO(i,1);			//	turn all outputs on
			hitwd();
		}
		for (i = 0; i < 12; ++i) {
			eioBrdDO(i,0);			//	turn all outputs off
			hitwd();
		}
	}
}